// import { useState } from 'react';

// export default () => {
//   const [todos, setTodos] = useState([]);
//   const [todo, setTodo] = useState('');
//   const removeTodo = todo => {
//     setTodos(todos.filter(t => t !== todo));
//   };

//   const add = (id) => {
//     if(id){
//       setTodos([...todos , {todo: todo}]);
//     setTodo('')
//     }
//   }

//   console.log(todos)
//   return (
//     <>
//       <input value={todo} onChange={e => setTodo(e.target.value)} />
//       <button onClick={() => add(2)}>Add</button>
//       {todos.map((todo, index) => (
//         <>
//           <h1>{todo.todo}</h1>
//           <button onClick={() => removeTodo(todo)}>remove</button>
//         </>
//       ))}
//     </>
//   );
// };



import Head from 'next/head'
import { useState , useEffect, createContext} from 'react'
import Developer from '../components/Developer';
import Home from '../components/Home';
import Invite from '../components/Invite';
import Parents from '../components/Parents';
import RSVP from '../components/RSVP';
import Schedule from '../components/Schedule';
import Venue from '../components/Venue';
import Welcome from '../components/Welcome';
import styles from '../styles/Home.module.css';


function App() {
  // const [input, setInput] = useState([]);
  // const [cards, setCards] = useState([]);
  // const [currCard , setcurrCard] = useState('');
  // const [currTitle , setcurrTitle] = useState('');
  // const [name , setName] = useState('{{name}}');
  // const [fName , setFname] = useState('{{xyz}}');
  // const [mName , setMname] = useState('{{xyz}}');

  // const addCard = (card) => {

  //   switch(card){
  //     case 'Welcome' : 
  //     console.log(';hey')
  //       setcurrCard(<Welcome />);
  //       setcurrTitle('Welcome');
  //       break;
  //     case 'Invite' : 
  //       setcurrCard(<Invite />); 
  //       setcurrTitle('Invite');
  //       break;
  //     case 'Schedule' : 
  //       setcurrCard(<Schedule />); 
  //       setcurrTitle('Schedule');
  //       break;
  //     case 'Parents' : 
  //       setcurrCard(<Parents />);
  //       setcurrTitle('Parents');
  //       break;
  //     case 'Venue' : 
  //       setcurrCard(<Venue />);
  //       setcurrTitle('Venue')
  //       break;
  //     case 'RSVP' : 
  //       setcurrCard(<RSVP />); 
  //       setcurrTitle('RSVP');
  //       break ;
  //     case 'Developer' : 
  //       setcurrCard(<Developer />); 
  //       setcurrTitle('Developer');
  //       break;
  //   }

  //   console.log(currCard , currTitle)

  // }

  // console.log("cards",cards)

  // useEffect(() => {

  //   console.log("before" , currCard  ,cards , currTitle)

  //   if(currTitle != ''){
      
  //     const present = cards.filter(e => {

  //       if(e.cardtitle === currTitle){
  //          return 1;
  //        } else{
  //           return 0;
  //        }
  //     })


  //     if(present.length === 0 && cards.length > 0){
  //       setCards([...cards , {
  //         cardtitle: currTitle,
  //         card: currCard
  //       }])


  //     } else if(present.length === 1 && cards.length > 0) {

  //         console.log("here" , present)
  //         setCards([...cards])

          
  //     } else {
        
  //         console.log('hhhg')
  //         setCards([{cardtitle: currTitle, card: currCard}]);
  //     }
  //   }

  //   console.log("after" , currCard  ,cards , currTitle )

  // } , [currCard])

  return (
    <div className="bg-black">
      <Head>
        <title>Create Next App</title>
        <meta name="description" content="Generated by create next app" />
        <link rel="icon" href="/favicon.ico" />
      </Head>
      <main className={styles.main}>
        <Home />
      </main>
    </div>
  )
}

export default App;